IDCVSSSummaryLast (major) updatePublished
CVE-2018-20822 4.3
LibSass 3.5.4 allows attackers to cause a denial-of-service (uncontrolled recursion in Sass::Complex_Selector::perform in ast.hpp and Sass::Inspect::operator in inspect.cpp).
23-04-2019 - 10:29 23-04-2019 - 10:29
CVE-2018-20821 4.3
The parsing component in LibSass through 3.5.5 allows attackers to cause a denial-of-service (uncontrolled recursion in Sass::Parser::parse_css_variable_value in parser.cpp).
23-04-2019 - 10:29 23-04-2019 - 10:29
CVE-2019-6286 4.3
In LibSass 3.5.5, a heap-based buffer over-read exists in Sass::Prelexer::skip_over_scopes in prelexer.hpp when called from Sass::Parser::parse_import(), a similar issue to CVE-2018-11693.
14-01-2019 - 17:29 14-01-2019 - 17:29
CVE-2019-6284 4.3
In LibSass 3.5.5, a heap-based buffer over-read exists in Sass::Prelexer::alternatives in prelexer.hpp.
14-01-2019 - 17:29 14-01-2019 - 17:29
CVE-2019-6283 4.3
In LibSass 3.5.5, a heap-based buffer over-read exists in Sass::Prelexer::parenthese_scope in prelexer.hpp.
14-01-2019 - 17:29 14-01-2019 - 17:29
CVE-2018-20190 4.3
In LibSass 3.5.5, a NULL Pointer Dereference in the function Sass::Eval::operator()(Sass::Supports_Operator*) in eval.cpp may cause a Denial of Service (application crash) via a crafted sass input file.
17-12-2018 - 15:29 17-12-2018 - 15:29
CVE-2018-19839 4.3
In LibSass prior to 3.5.5, the function handle_error in sass_context.cpp allows attackers to cause a denial-of-service resulting from a heap-based buffer over-read via a crafted sass file.
04-12-2018 - 04:29 04-12-2018 - 04:29
CVE-2018-19838 4.3
In LibSass prior to 3.5.5, functions inside ast.cpp for IMPLEMENT_AST_OPERATORS expansion allow attackers to cause a denial-of-service resulting from stack consumption via a crafted sass file, as demonstrated by recursive calls involving clone(), clo
04-12-2018 - 04:29 04-12-2018 - 04:29
CVE-2018-19837 4.3
In LibSass prior to 3.5.5, Sass::Eval::operator()(Sass::Binary_Expression*) inside eval.cpp allows attackers to cause a denial-of-service resulting from stack consumption via a crafted sass file, because of certain incorrect parsing of '%' as a modul
04-12-2018 - 04:29 04-12-2018 - 04:29
CVE-2018-19827 6.8
In LibSass 3.5.5, a use-after-free vulnerability exists in the SharedPtr class in SharedPtr.cpp (or SharedPtr.hpp) that may cause a denial of service (application crash) or possibly have unspecified other impact.
03-12-2018 - 14:29 03-12-2018 - 14:29
CVE-2018-19826 4.3
** DISPUTED ** In inspect.cpp in LibSass 3.5.5, a high memory footprint caused by an endless loop (containing a Sass::Inspect::operator()(Sass::String_Quoted*) stack frame) may cause a Denial of Service via crafted sass input files with stray '&' or
03-12-2018 - 14:29 03-12-2018 - 14:29
CVE-2018-19797 4.3
In LibSass 3.5.5, a NULL Pointer Dereference in the function Sass::Selector_List::populate_extends in SharedPtr.hpp (used by ast.cpp and ast_selectors.cpp) may cause a Denial of Service (application crash) via a crafted sass input file.
03-12-2018 - 01:29 03-12-2018 - 01:29
CVE-2018-19219 4.3
In LibSass 3.5-stable, there is an illegal address access at Sass::Eval::operator that will lead to a DoS attack.
12-11-2018 - 14:29 12-11-2018 - 14:29
CVE-2018-19218 4.3
In LibSass 3.5-stable, there is an illegal address access at Sass::Parser::parse_css_variable_value_token that will lead to a DoS attack.
12-11-2018 - 14:29 12-11-2018 - 14:29
CVE-2018-11698 5.8
An issue was discovered in LibSass through 3.5.4. An out-of-bounds read of a memory region was found in the function Sass::handle_error which could be leveraged by an attacker to disclose information or manipulated to read from unmapped memory causin
04-06-2018 - 02:29 04-06-2018 - 02:29
CVE-2018-11697 5.8
An issue was discovered in LibSass through 3.5.4. An out-of-bounds read of a memory region was found in the function Sass::Prelexer::exactly() which could be leveraged by an attacker to disclose information or manipulated to read from unmapped memory
04-06-2018 - 02:29 04-06-2018 - 02:29
CVE-2018-11696 6.8
An issue was discovered in LibSass through 3.5.4. A NULL pointer dereference was found in the function Sass::Inspect::operator which could be leveraged by an attacker to cause a denial of service (application crash) or possibly have unspecified other
04-06-2018 - 02:29 04-06-2018 - 02:29
CVE-2018-11695 6.8
An issue was discovered in LibSass through 3.5.2. A NULL pointer dereference was found in the function Sass::Expand::operator which could be leveraged by an attacker to cause a denial of service (application crash) or possibly have unspecified other
04-06-2018 - 02:29 04-06-2018 - 02:29
CVE-2018-11694 6.8
An issue was discovered in LibSass through 3.5.4. A NULL pointer dereference was found in the function Sass::Functions::selector_append which could be leveraged by an attacker to cause a denial of service (application crash) or possibly have unspecif
04-06-2018 - 02:29 04-06-2018 - 02:29
CVE-2018-11693 5.8
An issue was discovered in LibSass through 3.5.4. An out-of-bounds read of a memory region was found in the function Sass::Prelexer::skip_over_scopes which could be leveraged by an attacker to disclose information or manipulated to read from unmapped
04-06-2018 - 02:29 04-06-2018 - 02:29
Back to Top Mark selected
Back to Top